# $Revision: 1.15 $, $Date: 2008/10/14 15:19:21 $
# TODO
# - lighttpd support
%define	_hordeapp jeta

%include	/usr/lib/rpm/macros.php
Summary:	Wrapper around the Java SSH App
Summary(pl.UTF-8):	Wrapper dla Java SSH App
Name:		horde-%{_hordeapp}
Version:	1.0
Release:	3
License:	GPL v2
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/jeta/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	674449d79e603db2fa88c6de8882ccd4
Source1:	%{_hordeapp}.conf
URL:		http://www.horde.org/jeta/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.264
Requires:	apache(mod_access)
Requires:	horde >= 3.0
Requires:	webapps
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'pear(Horde.*)'

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
Jeta is the Horde module that provides a Java SSH interface to login
to the webserver (or another server with the use of additional relay
software).

%description -l pl.UTF-8
Jeta to moduł Horde, który dostarcza interfejs Java SSH, służący do
połączenia się na serwer WWW (albo inny serwer z użyciem dodatkowego
programu przekazującego).

%prep
%setup -q -n %{_hordeapp}-h3-%{version}

rm config/.htaccess lib/.htaccess
for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done
# considered harmful (horde/docs/SECURITY)
rm test.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes jar $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes

%{_appdir}/jar

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: horde-jeta.spec,v $
Revision 1.15  2008/10/14 15:19:21  baggins
- rel 3
- it's SSH, not telnet
- it's GPLv2

Revision 1.14  2008/10/09 22:53:07  glen
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

Revision 1.13  2008/10/09 22:44:56  baggins
- use correct dir name in setup

Revision 1.12  2008/10/09 22:17:02  baggins
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

Revision 1.11  2008/10/09 21:56:36  baggins
- removed unreadable tangle of macros and ugly hacks

Revision 1.10  2007/08/01 11:41:07  paszczus
- rel 2

Revision 1.9  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.7  2007/01/29 07:27:43  glen
- 1.0-FINAL

Revision 1.6  2006/09/29 21:25:58  glen
- update webapp triggers due apache1 package split

Revision 1.5  2006/08/19 16:05:13  qboosh
- pl desc fix

Revision 1.4  2006/08/07 17:17:30  paszczus
- added pl desc
- added TODO (pl sum)
- release 1 (works for me)

Revision 1.3  2006/08/07 13:08:18  glen
- package jar dir

Revision 1.2  2006/08/06 22:16:14  glen
- cleanups

Revision 1.1  2006/08/06 15:00:42  paszczus
- initial spec
